uk.gov.hmrc.ct.box.retriever

# FilingAttributesBoxValueRetriever

###
Related Doc: package retriever

#### trait FilingAttributesBoxValueRetriever extends BoxRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FilingAttributesBoxValueRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def abbreviatedAccountsFiling(): AbbreviatedAccountsFiling

2. #### abstract def abridgedFiling(): AbridgedFiling

3. #### abstract def companiesHouseFiling(): CompaniesHouseFiling

4. #### abstract def companiesHouseSubmitted(): CompaniesHouseSubmitted

5. #### abstract def companyType(): FilingCompanyType

6. #### abstract def countryOfRegistration(): CountryOfRegistration

7. #### abstract def generateValues: Map[String, CtValue[_]]

   Definition Classes
     BoxRetriever

8. #### abstract def hmrcAmendment(): HMRCAmendment

9. #### abstract def hmrcFiling(): HMRCFiling

10. #### abstract def hmrcSubmitted(): HMRCSubmitted

11. #### abstract def microEntityFiling(): MicroEntityFiling

12. #### abstract def statutoryAccountsFiling(): StatutoryAccountsFiling

13. #### abstract def utr(): UTR

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def coHoAccountsApprovalRequired(): CoHoAccountsApprovalRequired

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### def hmrcAccountsApprovalRequired(): HmrcAccountsApprovalRequired

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]

    Definition Classes
      BoxRetriever

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped